Bug 36687 - On WinPhone 8.1 RT, the background color used in Entry fields is not as expected
Summary: On WinPhone 8.1 RT, the background color used in Entry fields is not as expected
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.0.0
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: E.Z. Hart [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2015-12-07 18:46 UTC by John Hardman
Modified: 2016-02-01 19:17 UTC (History)
6 users (show)

Tags: WinPhone 8.1 RT Entry BackgroundColor ac
Is this bug a regression?: ---
Last known good build:


Attachments
Zip file containing source code and screenshot demonstrating problem (50.96 KB, application/zip)
2015-12-07 18:46 UTC, John Hardman
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description John Hardman 2015-12-07 18:46:48 UTC
Created attachment 14155 [details]
Zip file containing source code and screenshot demonstrating problem

On WinPhone 8.1 RT, the background color used in Entry fields is not as expected when actively editing the field.

I have attached a zip file containing source code and a screenshot. As the screenshot shows, the background color used when editing Entry fields on WinPhone 8.1 RT is white, even though the BackgroundColor property is set to yellow. On Android, the yellow is used, but on WinPhone 8.1 RT, white is shown. If the developer has changed TextColor, it is likely to be necessary to change the editing background color as well, to prevent white on white or similar. Either the BackgroundColor property should be used, or another property should be added.
Comment 1 Jason Smith [MSFT] 2015-12-15 00:02:51 UTC
Should be fixed in 2.0.2-pre1
Comment 2 Rui Marinho 2016-01-20 12:20:04 UTC
Correction should be fixed in 2.1.0-pre1
Comment 3 Rajneesh Kumar 2016-02-01 19:16:40 UTC
I have checked this issue with Xamarin.Forms.2.1.0.6508-pre3 and now its working.

Screencast: http://www.screencast.com/t/P09BHzgYbn

Hence closing this issue.